load "defaults.gnuplot"
set size (2.5/5.0),(1.25/3.5)  # Default size is 5x3.5 inches; set to 2.5x1.25

## WAVEFORMS

set xrange[0:2.61]

# sine
set output 'sine.gp.eps'
f(x) = sin(x*2*pi)
plot f(x) notitle lw 2

# square
set output 'square.gp.eps'
f(x) = odd(ceil(2*x)) ? 1 : -1
plot f(x+0.001) notitle lw 2

# triangle
set output 'triangle.gp.eps'
f(x) = odd(ceil(2*x)) ? x - floor(x) : -x + floor(x) + 1
plot f(x+0.25)-0.25 notitle lw 2

# sawtooth
set output 'sawtooth.gp.eps'
f(x) = x - floor(x)
plot f(x+0.5)-0.5 notitle lw 2

# noise
seed = rand(1317)
set output 'noise.gp.eps'
f(x) = rand(1) * 2 - 1
plot f(x) notitle lw 0.5

## SPECTRA

set xtics axis   ("f"  1,  "2f"  2,  "3f"  3,  "4f"  4,  "5f"  5, \
                 "6f"  6,  "7f"  7,  "8f"  8,  "9f"  9, "10f" 10, \
                "11f" 11, "12f" 12, "13f" 13, "14f" 14, "15f" 15)
set xrange [0:11.5]
set yrange [0:1.05]

# sine
set output 'sine.spec.gp.eps'
f(x) = eq(x,1) ? 1 : 0
plot f(x) notitle lw 2

# square
set output 'square.spec.gp.eps'
f(x) = odd(x) ? 1.0/round(x) : 0
plot f(x) notitle lw 2

# triangle
set output 'triangle.spec.gp.eps'
f(x) = odd(x) ? 1.0/round(x)**2 : 0
plot f(x) notitle lw 2

# sawtooth
set output 'sawtooth.spec.gp.eps'
f(x) = intp(x) ? 1.0/round(x) : 0
plot f(x) notitle lw 2

# noise
set output 'noise.spec.gp.eps'
f(x) = 1
plot f(x) notitle lw 2
