/* $Id: term_output.c,v 1.3 2001/04/20 05:48:27 reid Exp $ */

/* This file implements the terminal output functions. */

#include "lambda.h"
#include "lcore.h"

#include <stdarg.h>
#include <stdio.h>


/*** Globals ***/

/* If true, print debugging output.

   FIXME: main.c shouldn't have to mess with this variable. Add a proper
   term_output_init() function. */
bool g_print_debug;


/*** Public functions ***/

/* Works just like printf(), except nothing is returned -- fmt is a format
   string according to printf() rules and appropriate arguments follow; the
   result is printed on standard output. */
void pr(char * fmt, ...)
{
    va_list ap;

    va_start(ap, fmt);
    vfprintf(stdout, fmt, ap);
    va_end(ap);
}

/* Like pr(), but text goes to stderr instead of stdout. */
void error_pr(char * fmt, ...)
{
    va_list ap;

    /* fprintf(stderr, "lambda: "); */
    va_start(ap, fmt);
    vfprintf(stderr, fmt, ap);
    va_end(ap);
}

/* Like pr(), but text is printed conditionally depending on whether debugging
   output has been activated. */
void debug_pr(char * fmt, ...)
{
    va_list ap;

    if (g_print_debug) {
        va_start(ap, fmt);
        vfprintf(stdout, fmt, ap);
        va_end(ap);
    }
}
