/* $Id: util.c,v 1.5 2001/07/20 21:42:03 reid Exp $ */

/* This file implements various utility functions. */

#include "lambda.h"
#include "lcore.h"

#include <errno.h>
#include <stdio.h>
#include <string.h>
#include <sys/time.h>
#include <sys/types.h>
#include <unistd.h>


/*** Public functions ***/

/* Return the minimum of a and b. */
inline int min(int a, int b)
{
    return (a < b) ? a : b;
}

/* Return 1 if reading from fp would result in an end-of-file condition, 0
   otherwise. */
bool l_feof(FILE * fp)
{
    fd_set s;
    struct timeval timeout = { 0, 0 };
    int ready;

    FD_ZERO(&s);
    FD_SET(fileno(fp), &s);

    l_ASSERT(FD_ISSET(fileno(fp), &s));

    ready = select(FD_SETSIZE, &s, NULL, NULL, &timeout);
    /* FIXME [bug 38]: handle ENOMEM separately. */
    l_ASSERT(ready != -1);

    return (bool) !ready;
}
